> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Consent list

>  

Returns all data sharing information for an end user. Use this endpoint to list an end user's current data sharing choices. Each of the end user's connected apps has a separate consent which is detailed in the response by a consent object. The consent object includes details such as the app's id, name, icon, and the sharing status of the end-user's accounts.


## OpenAPI

````yaml openapi/consent-management/v4.yaml GET /api/{version}/consent_management
openapi: 3.0.0
info:
  title: Consent Management V4 API
  version: '4.0'
  contact:
    name: MX
    url: https://www.mx.com
  description: >-
    API for embedding the consent management dashboard into your customer-facing
    experience.
  termsOfService: https://www.mx.com/terms/
servers:
  - url: http://{baseurl}
security:
  - basicAuth: []
tags:
  - name: consent_management
    description: Consent Management
paths:
  /api/{version}/consent_management:
    get:
      tags:
        - consent_management
      summary: Consent list
      description: >-
        Returns all data sharing information for an end user. Use this endpoint
        to list an end user's current data sharing choices. Each of the end
        user's connected apps has a separate consent which is detailed in the
        response by a consent object. The consent object includes details such
        as the app's id, name, icon, and the sharing status of the end-user's
        accounts.
      operationId: 3-consentList
      parameters:
        - $ref: '#/components/parameters/version'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConsentList'
      security:
        - bearerAuth: []
components:
  parameters:
    version:
      name: version
      in: path
      required: true
      schema:
        type: string
        default: v4
        example: v4
      description: API version. Indicates which FDX version is in use.
  schemas:
    ConsentList:
      title: ConsentList
      type: array
      items:
        $ref: '#/components/schemas/Consent'
    Consent:
      type: object
      properties:
        id:
          type: string
          example: _sadfa3CKHJ23LKJHKJHLlNaODPmH1LqSb4
        application_name:
          type: string
          example: Centz
        application_icon_url:
          type: string
          example: https://www.example.com
          nullable: true
        created_at:
          type: string
          example: '2024-06-14T19:48:18.354Z'
        last_accessed:
          type: string
          example: '2024-05-14T19:48:31.352Z'
        accounts:
          type: array
          items:
            type: object
            properties:
              enabled:
                type: boolean
                example: true
              nickname:
                type: string
                example: Lacrosse Fund
              account_id:
                type: string
                example: '1234123412341234'
              account_number_display:
                type: string
                example: XXXXXXXX1111
        auto_enable_future_accounts:
          type: boolean
          example: true
        consented_on:
          type: string
          example: '2024-05-14T19:48:18.352Z'
        revoked_at:
          type: string
          nullable: true
          example: null
      description: Consent object
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic
    bearerAuth:
      type: http
      scheme: bearer

````